<?php
require_once ("../../config/Cado.php");
require_once ("cEmpaque.php");
$oEmpaque = new cEmpaque();

if($_POST['action']=="insertar")
{
	if(!empty($_POST['txt_emp_nom']))
	{
		$rs=$oEmpaque->comprobar_si_existe($_POST['txt_emp_nom']);
		$num=mysqli_num_rows($rs);
		
		if($num>0){
			
		$idcat=$oEmpaque->comprobar_si_existe($_POST['txt_emp_nom']);
		$dtx = mysqli_fetch_array($idcat);
		$emp_id=$dtx['tb_empaque_id'];
		mysqli_free_result($dtx);
		
		$data['emp_id']=$emp_id;
		$data['emp_msj']='Se registró Empaque correctamente.';
		
		}else
		{
		
		$oEmpaque->insertar($_POST['txt_emp_nom'],$_POST['txt_emp_fac']);
		
		$dts=$oEmpaque->ultimoInsert();
		$dt = mysqli_fetch_array($dts);
		$emp_id=$dt['id'];
		mysqli_free_result($dts);	
		
		$data['emp_id']=$emp_id;
		$data['emp_msj']='Se registró Empaque correctamente.';				
		}
		echo json_encode($data);
	}
	else
	{
		echo 'Intentelo nuevamente';
	}
}
if($_POST['action']=="editar")
{
	if(!empty($_POST['txt_emp_nom']))
	{
		$oEmpaque->modificar($_POST['hdd_emp_id'],$_POST['txt_emp_nom'],$_POST['txt_emp_fac']);
		
		$data['emp_msj']='Se modificó la categoria correctamente.';
		echo json_encode($data);
	}
	else
	{
		echo 'Intentelo nuevamente';
	}
}
if($_POST['action']=="eliminar")
{
	if(!empty($_POST['id'])){
		$oEmpaque->modificar_campo($_POST['id'],'xac','0');
		echo 'Se envió a la papelera correctamente.';
		
	}else{
		echo 'Intentelo nuevamente.';
	}
}
?>